- Controller Constraint:

  - Reference: CC-PSI-1
    Link: UCA-PSI-1
    Text: Python script must provide images when there are new images available

  - Reference: CC-PSI-100
    Link: UCA-PSI-100
    Text: Python script must not provide images which are old (> x seconds)

  - Reference: CC-PSI-101
    Link: UCA-PSI-101
    Text: Python script must not provide images of poor quality (blurry, dark etc.)

  - Reference: CC-PSI-1000
    Link: UCA-PSI-1000
    Text: Python script must provide images within x seconds after environment images have been received from GStreamer

  - Reference: CC-GG-1
    Link: UCA-GG-1
    Text: Python script must provide a go cmd to start GStreamer when it is not running

  - Reference: CC-GG-2
    Link: UCA-GG-2
    Text: Python script must provide a go cmd with a valid config when GStreamer's config is inaccurate

  - Reference: CC-GG-100
    Link: UCA-GG-101
    Text: Python script must not provide a go cmd with inaccurate config file to GStreamer

  - Reference: CC-GG-101
    Link: UCA-GG-102
    Text: Python script must not provide a go cmd when GStreamer is already running with a valid config

  - Reference: CC-GG-1000
    Link: UCA-GG-1000
    Text: Python script must provide go cmd to GStreamer so that camera can send environment images within X seconds of systemd starting the Python script

  - Reference: CC-GG-1001
    Link: UCA-GG-1001
    Text: Python script must provide go cmd to GStreamer within x seconds after GStreamer has been inactive, or it is active with the wrong config
